# Setup macOS

A set of bash scripts and files to configure a fresh install of macOS.

Tested and runs fine on macOS Ventura.

## How to use

Clone the repo and run setup.sh in a terminal.

## Features

- Configures most of the options in System Settings to personal preference
- Speeds up mouse tracking speed beyond available settings
- Installs:
    - Xcode CLI tools and Homebrew (https://brew.sh/)
    - mas-cli (https://github.com/mas-cli/mas)
    - A list of programs and utilities from a Brewfile
- Reloads the Dock with a list of my most used apps
- Copies a plist of my notification preferences to ~/Library/Preferences*
- Loads a mobileconfig file for my e-mail accounts*
- Sets a custom Terminal theme as default
- Downloads my ZSH profile from my [dotfiles](https://git.ptmlab.co.uk/ptmlab/dotfiles) repo
- ~~Installs Python 3.11 (via pyenv) and everything needed to run Laravel Valet~~

*These files are not included in this repo, the latter for obvious reasons.